#1814 Migration from Password Corral 4.0.4

KeePass
closed
nobody
None
5
2014-01-15
2014-01-12
Andrew Bauer
No

I heard about KeePass in the recent Issue 415 of WindowsSecrets (windowssecrets.com). I am currently using Password Corral 4.0.4 from Cygnus Productions and I see this is not listed in the standard imports help page. Just like the user in ticket #1083, I would like to migrate to KeePass. Is there any guidance you can give me? For example, Password Corral has several output formats. I could report here how successful I was. With thanks for your kind attention.

Related

Feature Requests: #1814

Discussion

  • Paul
    Paul
    2014-01-12

    CSV export is usually the best, KeePass has a very flexible CSV importer.
    What export formats do you have?

    cheers, Paul

     
    • Andrew Bauer
      Andrew Bauer
      2014-01-12

      Hi Paul,

      The available export formats in Password Corral are these. I have no
      additional information, but I am quite willing to experiment with CSV
      formats.

      Kind Regards,

      Andrew Bauer

       
      Last edit: Paul 2014-01-12
      Attachments
  • Paul
    Paul
    2014-01-12

    It looks like CSV is your only option. I would edit the exported file, using Notepad, so that it only has 2 lines and try importing that - this allows you to experiment with the import.

    cheers, Paul

     
    • Andrew Bauer
      Andrew Bauer
      2014-01-12

      Thanks . will give it a try

       
      Last edit: Paul 2014-01-12
      Attachments
    • Andrew Bauer
      Andrew Bauer
      2014-01-12

      Hi Paul,

      Well, the problem is this. the CSV export file is unstructured, unsorted and
      ignores Groups (the folder in which the passwords are placed). The full
      structured & sorted information is only available in the TEXT file export
      (option 1). By comparison, the CSV file is 28 KB and the TEXT file is 137 KB
      in size.

      Therefore my next approach will be to study the CSV format KeePass requires
      as input and re-format the TEXT file using program logic, possibly using
      VBA. Will keep you informed. progress may be slow.

      Kind Regards,

      Andrew Bauer

       
      Last edit: Paul 2014-01-13
      Attachments
  • Paul
    Paul
    2014-01-13

    Dominik, I have written this CSV import "how to" for the Help file.
    Andrew, this should get you sorted.

    cheers, Paul

    Generic CSV Importer Help

    KeePass 2.x features a generic CSV importer. This tool can import almost all CSV formats. The CSV files are loaded and you can manually specify the encoding / character set, assign columns to data fields, and specify how the low-level structure looks like (usage of quotes, etc.).

    To start the generic CSV file importer, click 'File' -> 'Import' and choose 'Generic CSV Importer'.

    Generic CSV Format Rules
    1. Only one field is required, the "Account" or entry name field. All other fields are optional.
    2. If a field name is specified in the column headers but is not in the record being imported, a field separator, the default is comma (","), must be added to the record to indicate no value.
    3. Characters used as separators or qualifiers can be used within values, but must be preceded by an escape character. The default escape character is backslash ("\").
    e.g. A password of "pass,word" would look like this "pass\,word".
    4. Group structure must be in one column, with the group tree values separated by a delimiter. Delimiters can only be either backslash, forward slash or dot ("\", "/" or ".").
    5. If the group delimiter is the same as the escape character it must be escaped. e.g. a backslash ("\") must be preceeded by a backslash ("\\").
    6. If you have group trees (Group1\Group2\Group3) you must specify the group delimiter on the CSV Import form. This cannot be done in the CSV file itself.

    Sample CSV Format Files

    A simple one level import, no groups.
    The file below has 4 entries.
    Entry 2 does not have a URL / website field.
    Entry 3 has delimiter characters in the password, shown escaped.
    Entry 4 has no Notes field.

    "Account","Login Name","Password","Web Site","Comments"
    "Sample Entry","User Name","Password","http://keepass.info/","Note"
    "Sample Entry1","tom@tomsmail.com","tom'spass",,"KeePass Notes"
    "Sample Entry2","freduser","pass\,with\\escaped\"characters","http://keepass.info/","This is a sample note"
    "Sample Entry #3","Michael321","12345","http://keepass.info/help/kb/kb090406_testform.html",
    



    Importing Groups
    Adding a "Group" column heading allows you to import your existing structure. In the sample below entries 2, 3 and 4 are members of a group, i.e. not located in the root of the database. Entry 1 is not a member of a group and has a field separator to indicate no value. The group tree delimiter used in the sample is backslash ("\").

    To import the group structure, follow the import procedure until you arrive at the "Structure" tab.
    1. In the "Add field" section, set "Type" = "Group" and "Separator" = "\".
    2. Click "Add" and then the up arrow to move the added group field immediately below the existing group filed name.
    3. Highlight the existing group field name and click "Delete".
    Now you can complete the import.

    "Group","Account","Login Name","Password","Web Site","Comments"
    ,"Sample Entry","User Name","Password","http://keepass.info/","Note"
    "Group 1\\Group 2","Sample Entry1","tom@tomsmail.com","tom'spass",,"KeePass Notes"
    "Group 1","Sample Entry2","freduser","pass\,with\\escaped\"characters","http://keepass.info/","This is a sample note"
    "Group 3\\Group 4","Sample Entry #3","Michael321","12345","http://keepass.info/help/kb/kb090406_testform.html",
    
     
    Last edit: Paul 2014-01-13
  • Dominik Reichl
    Dominik Reichl
    2014-01-13

    Thanks; I've created a help page about the generic CSV importer, including most of your comments/examples:
    http://keepass.info/help/kb/imp_csv.html

    Best regards,
    Dominik

     
    • Andrew Bauer
      Andrew Bauer
      2014-01-13

      Hi Dominik,

      Many thanks for this. Such documentation of high quality is very useful for
      everyone.

      I succeeded with a test CSV import. I do not understand why an import into
      the Group "General/abcdef" using default (UTF-8?) encoding creates a second
      instance of the group "General" instead of putting 'abcdef' under the
      existing "General" group.

      Kind Regards,

      Andrew Bauer

      From: Dominik Reichl [mailto:dreichl@users.sf.net]
      Sent: Montag, 13. Januar 2014 17:15
      To: [keepass:feature-requests]
      Subject: [keepass:feature-requests] #1814 Migration from Password Corral
      4.0.4

      Thanks; I've created a help page about the generic CSV importer, including
      most of your comments/examples:
      http://keepass.info/help/kb/imp_csv.html

      Best regards,
      Dominik


      [feature-requests:#1814] Migration from Password Corral 4.0.4

      Status: open
      Created: Sun Jan 12, 2014 04:26 PM UTC by Andrew Bauer
      Last Updated: Mon Jan 13, 2014 08:39 AM UTC
      Owner: nobody

      I heard about KeePass in the recent Issue 415 of WindowsSecrets
      (windowssecrets.com). I am currently using Password Corral 4.0.4 from Cygnus
      Productions and I see this is not listed in the standard imports help page.
      Just like the user in ticket #1083, I would like to migrate to KeePass. Is
      there any guidance you can give me? For example, Password Corral has several
      output formats. I could report here how successful I was. With thanks for
      your kind attention.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/keepass/feature-requests/1814/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Feature Requests: #1814

      Attachments
  • Dominik Reichl
    Dominik Reichl
    2014-01-13

    • status: open --> closed
     
  • Dominik Reichl
    Dominik Reichl
    2014-01-13

    I've had a look at the default export format of Password Corral now. Unfortunately it's an encrypted format and I didn't find any specification for it; thus I'm not going to write a specialized importer for it.

    Anyway, the CSV exports look good. You should be able to import an exported CSV easily using the generic CSV importer of KeePass 2.x.

    Best regards,
    Dominik

     
    • Andrew Bauer
      Andrew Bauer
      2014-01-13

      Hi Dominik,

      You're absolutely right. I noticed its encrypted but I addressed this to
      Cygnus Productions, since the TEXT export is only of use to them.

      The problems I have with their CSV file are:

      . No mention of the Password Group (or position within the Group
      hierarchy)

      . Password rows are output in random sequence

      . Designed for single-row text elements. I have multi-row data in
      the comments section. I'd have a problem here with any CSV file unless I
      replace the Line Feed with another character.

      I have still not looked into the features of KeePass but I assume there are
      facilities to group passwords. I like your technology. I dislike that
      Password Corral is developed using Borland Delphi (even though Microsoft was
      known to use Borland products internally).

      Kind Regards,

      Andrew Bauer

      From: Dominik Reichl [mailto:dreichl@users.sf.net]
      Sent: Montag, 13. Januar 2014 17:51
      To: [keepass:feature-requests]
      Subject: [keepass:feature-requests] #1814 Migration from Password Corral
      4.0.4

      I've had a look at the default export format of Password Corral now.
      Unfortunately it's an encrypted format and I didn't find any specification
      for it; thus I'm not going to write a specialized importer for it.

      Anyway, the CSV exports look good. You should be able to import an exported
      CSV easily using the generic CSV importer of KeePass 2.x.

      Best regards,
      Dominik


      [feature-requests:#1814]
      http://sourceforge.net/p/keepass/feature-requests/1814/ Migration from
      Password Corral 4.0.4

      Status: closed
      Created: Sun Jan 12, 2014 04:26 PM UTC by Andrew Bauer
      Last Updated: Mon Jan 13, 2014 04:14 PM UTC
      Owner: nobody

      I heard about KeePass in the recent Issue 415 of WindowsSecrets
      (windowssecrets.com). I am currently using Password Corral 4.0.4 from Cygnus
      Productions and I see this is not listed in the standard imports help page.
      Just like the user in ticket #1083, I would like to migrate to KeePass. Is
      there any guidance you can give me? For example, Password Corral has several
      output formats. I could report here how successful I was. With thanks for
      your kind attention.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/keepass/feature-requests/1814/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       
      Attachments
  • Paul
    Paul
    2014-01-14

    Dominik,

    Your Help section doesn't include what appears to be a requirement to amend the group column specification to include the delimiter. I couldn't get the group structure to import without changing the heading within KeePass as opposed to the CSV file.

    cheers, Paul

     
  • Paul
    Paul
    2014-01-14

    I do not understand why an import into the Group "General/abcdef" using default (UTF-8?) encoding creates a second instance of the group "General" instead of putting 'abcdef' under the
    existing "General" group.

    Did you change the group heading to include the delimiter per my example?
    Is the second "General" group spelled exactly the same, no spaces etc?

    cheers, Paul

     
    • Andrew Bauer
      Andrew Bauer
      2014-01-14

      Hi Paul,

      I provided two test files to import and a screenshot of the result.

      I think I have the correct structure.

      Kind Regards and THANKS for your hard work J

      Andrew

       
      Last edit: Paul 2014-01-15
      Attachments